Package org.eclipse.emf.cdo.server

# Class CDOServerBrowser.RevisionsPage.FromCache

java.lang.Object
org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage
org.eclipse.emf.cdo.server.CDOServerBrowser.RevisionsPage
org.eclipse.emf.cdo.server.CDOServerBrowser.RevisionsPage.FromCache

All Implemented Interfaces:
  `CDOServerBrowser.Page`

Enclosing class:
  `CDOServerBrowser.RevisionsPage`

public static class CDOServerBrowser.RevisionsPage.FromCache extends CDOServerBrowser.RevisionsPage
A `server browser page` that renders the `revisions` in a revision cache.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser.RevisionsPage

`CDOServerBrowser.RevisionsPage.FromCache, CDOServerBrowser.RevisionsPage.FromStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`

### Fields inherited from interface org.eclipse.emf.cdo.server.CDOServerBrowser.Page

`PRODUCT_GROUP`

## Constructor Summary

Constructors
Constructor
Description
`FromCache()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canDisplay(InternalRepository repository)`
`protected Map<CDOBranch,List<CDORevision>>`
`getAllRevisions(InternalRepository repository)`

### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser.RevisionsPage

`display, getCDOIDLabel, getRevisionValue, showKeyValue, showRevision, showRevision`

### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage

`getLabel, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.server.CDOServerBrowser.Page

`modifyStyles`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

## Constructor Details

### FromCache

public FromCache()

## Method Details

### canDisplay

public boolean canDisplay(InternalRepository repository)

### getAllRevisions

protected Map<CDOBranch,List<CDORevision>> getAllRevisions(InternalRepository repository)

Specified by:
  `getAllRevisions` in class `CDOServerBrowser.RevisionsPage`